#include <Hazel.h>
#include "Hazel/Core/EntryPoint.h"

#include "Editor/EditorLayer.h"


namespace Hazel
{
	class HazelEditor : public Application
	{
	public:
		HazelEditor(const ApplicationSpecification& specification)
			: Application(specification)
		{
			PushLayer(new EditorLayer());
		}

		~HazelEditor() = default;

	};


	Application* CreateApplication(ApplicationCommandLineArgs args)
	{
		ApplicationSpecification spec;
		spec.name = "Editor app";
		spec.commandLineArgs = args;

		return new HazelEditor(spec);
	}
}
